Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 3.3.75
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.persist.evolve
Class EvolveEvent

    java.lang.Object
      com.sleepycat.persist.evolve.EvolveEvent

    public class EvolveEvent

extends Object

The event passed to the EvolveListener interface during eager entity evolution.

Author:
  Mark Hayes
See Also:
  `Class Evolution`

Method Summary
`String` | `getEntityClassName()` The class name of the current entity class being converted.
`EvolveStats` | `getStats()` The cummulative statistics gathered during eager evolution.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getStats

    public EvolveStats getStats()

  The cummulative statistics gathered during eager evolution.

### getEntityClassName

    public String getEntityClassName()

  The class name of the current entity class being converted.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 3.3.75
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004,2008 Oracle. All rights reserved.